ruby-json (2.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/ruby-tests.rake: Add required include dirs and option
    to run tests on Ruby 3.0. (Closes: #996305)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 30 Oct 2021 01:10:01 -0400

ruby-json (2.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Bump minimum version of gem2deb to 1.0~

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + ruby-json: Add Multi-Arch: same.

  [ Jenkins ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Pirate Praveen ]
  * Fix watch file regex for github url
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * New upstream version 2.5.1+dfsg
  * Refresh patches and remove patches no longer required

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Sep 2021 23:30:46 +0530

ruby-json (2.3.0+dfsg-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 2.3.0
  * Add myself as an uploader
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Samyak Jain ]
  * Update version=4 in d/watch
  * Updates a/c to cme and Bumps standard version d/control
  * Correct d/upstream/metadata
  * Update d/{copyright, watch} for repacking

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 05 Feb 2020 08:04:42 -0500

ruby-json (2.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from Uploaders:
  * Disable jruby support (see #890046)
  * debian/watch: switch to https
  * debian/rules: build under C.UTF-8 locale

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Feb 2018 14:33:06 -0300

ruby-json (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Bump standards-Version to 4.0.0
  * Bum Debhelper compatibility to 10
  * Add Testsuite field
  * Refresh 0003-Remove-additional-gemspec-files.patch and
    04-fix-tests-path.patch
  * Drop 0005-Disable-rubygems-usage-in-tests-helper.patch, not needed anymore
  * Use debian/gemspec introduced with gem2deb 0.35 to specify gemspec to use
  * Mark debian/gemspec as included binary
  * Set also JAVA_HOME in ruby-tests.rb to allow java tests to run in
    autopkgtest environment

 -- Cédric Boutillier <boutil@debian.org>  Tue, 18 Jul 2017 22:31:09 +0200

ruby-json (2.0.1+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Build java extension. (Closes: #857650)

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 17 Mar 2017 12:26:08 +0000

ruby-json (2.0.1+dfsg-3) unstable; urgency=medium

  * Add Conflicts: ruby-json-pure (Closes: #847141)

 -- Micah Anderson <micah@debian.org>  Mon, 05 Dec 2016 18:33:24 -0500

ruby-json (2.0.1+dfsg-2) unstable; urgency=medium

  * Add patch debian/patches/0003-Remove-additional-gemspec-files.patch to
    fix test failures on ci.d.n.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 27 Jul 2016 17:04:21 +0200

ruby-json (2.0.1+dfsg-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Lucas Nussbaum ]
  * Repack tarball for 2.0.1 to avoid non-DFSG RFC
  * Imported Upstream version 2.0.1+dfsg
  * Update debian/rules with a fresh dh-make-ruby run
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Update patches
  * Fix names of READMEs
  * point to correct gemspec
  * Fix loading of tests

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 21 Jul 2016 23:23:22 +0200

ruby-json (1.8.3-1) unstable; urgency=medium

  * Imported Upstream version 1.8.3

 -- Cédric Boutillier <boutil@debian.org>  Sun, 21 Jun 2015 07:32:32 +0200

ruby-json (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * Re-upload to unstable.

 -- Pirate Praveen <praveen@debian.org>  Wed, 29 Apr 2015 18:19:17 +0530

ruby-json (1.8.2-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add Build-Depends on ruby-test-unit for ruby2.2.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 09 Apr 2015 15:32:50 +0200

ruby-json (1.8.2-1~exp1) experimental; urgency=medium

  [ Sebastien Badia ]
  * Team upload.
  * New upstream release (fixes ruby2.2 build failure)
  * d/control:
    - Bump Standards-Versions (no changes)
    - Use cgit for VCS-Browser fields (and switch to HTTPS)

  [ Christian Hofstaedtler ]
  * Target experimental while testing is frozen.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 09 Apr 2015 15:12:03 +0200

ruby-json (1.8.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump standards version to 3.9.5 (no changes)
  * Bump gem2deb build dep to 0.7.4~
    - drop ruby1.8, ruby1.9.1 and add ruby2.0, ruby 2.1

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Apr 2014 15:23:28 +0530

ruby-json (1.8.0-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    + remove obsolete DM-Upload-Allowed flag
    + use canonical URI in Vcs-* fields
    + bump Standards-Version to 3.9.4 (no changes needed)
    + update my email address
    + drop transitional packages, not needed anymore
  * debian/patches: drop 10-fix-CVE-2013-0269.patch, included upstream
  * remove debian/source/lintian-overrides, related to dropped transitional
    packages

 -- Cédric Boutillier <boutil@debian.org>  Tue, 14 May 2013 19:10:26 +0200

ruby-json (1.7.3-3) unstable; urgency=high

  * set urgency to high, as a security bug is fixed.
  * Add 10-fix-CVE-2013-0269.patch, adapted from upstream to fix denial of
    service and unsafe object creation vulnerability.
    [CVE-2013-0269] (Closes: #700436).

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 12 Feb 2013 23:14:48 +0100

ruby-json (1.7.3-2) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 26 Jun 2012 13:02:05 +0200

ruby-json (1.7.3-1) unstable; urgency=low

  * New upstream release. All the tests are passing (Closes: #673661)
  * Add myself to Uploaders:
  * Bump Standards-Version: to 3.9.3 (no changes needed)
  * Add DEP-3 header to 02-fix-fuzz.rb-shebang.patch
  * Override lintian warning about duplicate descriptions for transitional
    packages
  * Remove overrides in debian/rules (not needed any more)
  * Update debian/copyright
  * + update Format URL to match the recommended one
    + mention the Ruby license and java/* files

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Mon, 21 May 2012 22:05:17 +0200

ruby-json (1.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 20 Dec 2011 18:52:05 +0100

ruby-json (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * executables have been moved to a separate gem.
    + drop edit-json package.
  * Relicense debian changes as GPLv2 to match upstream.

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 25 Sep 2011 11:24:54 +0200

ruby-json (1.5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04-fix-tests-path.patch: Fix load path during tests.
    Closes: #634438
  * ruby-json.docs: update name of README
  * Update standards-version
  * Update to modern gem2deb standards (breaks, etc)
  * Update ruby dependency for edit-json.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 30 Jul 2011 08:19:54 +0200

ruby-json (1.5.1-2) unstable; urgency=low

  * Fix build system so that it also works with arch-only builds.
    Closes: #621772, #621766
  * Fix Vcs-Browser.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 09 Apr 2011 11:40:30 +0200

ruby-json (1.5.1-1) unstable; urgency=low

  * New upstream release. Closes: #617721
  * Switch to gem2deb-based packaging. Source and binary package renamed to
    ruby-json. Transitional packages added.
  * Merge with the old ruby-pkg-tools packaging.
    + Add patch for prettify_json.rb (Closes: #561839)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 03 Apr 2011 15:54:42 +0200

libjson-ruby (1.4.6-1) unstable; urgency=low

  [Laurent Arnoud]
  * Team upload.
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Debian policy 3.9.1
  * Add patch for prettify_json.rb (Closes: #561839)
  [Joshua Timberman]
  * Fixes bugs between 1.1.9 and 1.4.6, including bug affecting ohai
    (Closes: #596351)
  * Update watchfile for githubredir and upstream version tagging.

 -- Laurent Arnoud <laurent@spkdev.net>  Fri, 22 Oct 2010 22:14:17 +0200

libjson-ruby (1.1.9-1) unstable; urgency=low

  * New upstream release
  * Debian Policy 3.8.3

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 02 Sep 2009 17:36:43 -0700

libjson-ruby (1.1.7-1) unstable; urgency=low

  * New upstream release
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Jul 2009 03:35:48 -0700

libjson-ruby (1.1.6-1) unstable; urgency=low

  * move myself to Maintainer
  * new upstream release
  * refresh patches
  * add README.source
  * delete empty directories

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 10 May 2009 23:25:50 -0700

libjson-ruby (1.1.4-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * add myself to Uploaders
  * refresh patches
  * debhelper 5
  * change section to ruby
  * debian policy 3.8.1
  * add dependency on ${misc:Depends}
  * stop setup.rb from changing the shebang in the source
  * always change the shebang in the installed version of edit-json to
    ruby1.8
  * instead of installing the included prototype in the examples,
    symlink to the one from the libjs-prototype package, and depend on
    it

  [ Antonio Terceiro ]
  * Added DM-Upload-Allowed flag to debian/control.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Fri, 01 May 2009 20:52:44 -0300

libjson-ruby (1.1.2-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * New upstream release.
  * Added Homepage and Vcs-* headers to debian/control.
  * Bumped standards version to 3.7.3; performed minor fixes to
    debian/copyright.
  * Added build-depend on ruby1.8-dev for mkmf.rb. (Closes: #465673)
  * Bumped ruby-pkg-tools version depend to >= 0.13, since it will be
    using Debian's setup.rb.
  * Modified debian/libjson-ruby-doc.examples to install data/* instead
    of examples/* so that we do not have to have a modified tarball.
  * Remove cruft installed by setup.rb to /usr/share in the hook in
    debian/rules.
  * Changed architecture of libjson-ruby1.8 to 'any'!  Added ${shlib:Depends}
    and ${misc:Depends} to the dependencies.

  [ Antonio Terceiro ]
  * debian/copyight: recoded as UTF-8.
  * debian/edit-json.install: added.
  * debian/rules:
    - fixed typo in custom install target for libjson-ruby1.8.
    - removing stuff instead of moving them to edit-json package. These are
      now installed by the newly added debian/edit-json.install.
    - renaming binaries to remove .rb suffix in edit-json packag.e
  * debian/control: added myself to Uploaders field.

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 04 Apr 2008 22:55:06 +0200

libjson-ruby (1.1.1-1) unstable; urgency=low

  [ Esteban Manchado Velázquez ]
  * Changed edit-json section to "devel" (again???).

  [ Paul van Tilburg ]
  * New upstream release.
  * Adapted debian/control, debian/rules, and remove debian/control.in to
    drop the Uploaders rule.
  * Moved the build-depend-indep on ruby-pkg-tools to the build-depends
    for it is used in the clean target.
  * Updated setup.rb so that it supports the distclean target.
  * Added myself to the Uploaders field.
  * Added a man-page for prettify_json(1).
  * Changed ruby1.8 dependency of the edit-json package to ruby.
  * Changed the depend of edit-json on libgtk2-ruby to libgtk2-ruby1.8 to
    follow convention.
  * Use a modified source tarball which renames data/ -> docs/ since
    it uses setup.rb with a non-setup.rb-compliant dir layout. Also
    all files have been processed by dos2unix.
  * Added some example files to libjson-ruby-doc.
  * Added 02-fix-fuzz.rb-shebang.patch to add a missing shebang to the
    executable fuzz.rb tool.
  * Removed unnecessary 01-fix-edit_json-shebang.patch.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 07 Oct 2007 15:04:24 +0200

libjson-ruby (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Changed edit-json section to "devel"
  * Bump Standards-Version to 3.7.2 (no changes required)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sat, 21 Oct 2006 21:27:43 +0100

libjson-ruby (0.4.1-1) unstable; urgency=low

  * New upstream version
  * Add watch file
  * Changed Section to "libs" for every package except libjson-ruby-doc
  * Adapted to ruby-pkg-tools 0.8

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 16 Apr 2006 16:35:26 +0100

libjson-ruby (0.4.0-3) unstable; urgency=low

  * Changed libjson-ruby-doc package Section to "doc".
  * Set the Maintainer field to myself

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sat, 25 Mar 2006 00:27:42 +0000

libjson-ruby (0.4.0-2) unstable; urgency=low

  * Fixed the errors (missing commas) in the Depend field (closes: #350866).
  * Added missing build-depend-indep on graphviz.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 15 Feb 2006 22:22:31 +0000

libjson-ruby (0.4.0-1) unstable; urgency=low

  * Initial upload (Closes: #341904).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sat,  3 Dec 2005 23:24:14 +0000
